import request from '@/utils/request';

// 广告内容统一接口
const baseUrl = '/system/adContent';

// 列表查询
export function listAdContent(params: any) {
  return request.get(baseUrl + '/list', { params });
}

// 详情
export function getAdContent(id: number) {
  return request.get(`${baseUrl}/${id}`);
}

// 新增
export function addAdContent(data: any) {
  return request.post(baseUrl, data);
}

// 修改
export function updateAdContent(data: any) {
  return request.put(baseUrl, data);
}

// 删除
export function delAdContent(id: number | string) {
  return request.delete(`${baseUrl}/${id}`);
}

